<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.8"/>
<title>Fittrack Weight Detection Module: API/inc/GPIO.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Fittrack Weight Detection Module
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.8 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('GPIO_8h.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Modules</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">GPIO.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Header file for the <a class="el" href="GPIO_8c.html" title="Implementation of the GPIO module. ">GPIO.c</a> module.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;API.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for GPIO.h:</div>
<div class="dyncontent">
<div class="center"><img src="GPIO_8h__incl.png" border="0" usemap="#API_2inc_2GPIO_8h" alt=""/></div>
<map name="API_2inc_2GPIO_8h" id="API_2inc_2GPIO_8h">
<area shape="rect" id="node2" href="API_8h_source.html" title="API.h" alt="" coords="275,80,329,107"/><area shape="rect" id="node4" href="ADC_8h.html" title="Header file for the ADC.c module. " alt="" coords="5,155,68,181"/><area shape="rect" id="node5" href="LPUART_8h.html" title="Header file for the LPUART.c module. " alt="" coords="92,155,179,181"/><area shape="rect" id="node6" href="USART_8h.html" title="Header file for the USART.c module. " alt="" coords="655,155,733,181"/><area shape="rect" id="node7" href="LPTIMER_8h.html" title="Header file for the LPTIMER.c module. " alt="" coords="203,155,294,181"/><area shape="rect" id="node9" href="WWDG_8h.html" title="Header file for the WWDG.c module. " alt="" coords="420,155,499,181"/></map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="GPIO_8h__dep__incl.png" border="0" usemap="#API_2inc_2GPIO_8hdep" alt=""/></div>
<map name="API_2inc_2GPIO_8hdep" id="API_2inc_2GPIO_8hdep">
<area shape="rect" id="node2" href="ADC_8h.html" title="Header file for the ADC.c module. " alt="" coords="351,80,461,107"/><area shape="rect" id="node3" href="API_8h_source.html" title="API/inc/API.h" alt="" coords="459,155,561,181"/><area shape="rect" id="node14" href="LPUART_8h.html" title="Header file for the LPUART.c module. " alt="" coords="559,80,693,107"/><area shape="rect" id="node15" href="USART_8h.html" title="Header file for the USART.c module. " alt="" coords="717,80,844,107"/><area shape="rect" id="node4" href="ADC_8c.html" title="Implementation of the ADC module. " alt="" coords="5,229,116,256"/><area shape="rect" id="node5" href="GPIO_8c.html" title="Implementation of the GPIO module. " alt="" coords="141,229,255,256"/><area shape="rect" id="node6" href="LPTIMER_8c.html" title="Implementation of the LPTIMER module. " alt="" coords="279,229,418,256"/><area shape="rect" id="node7" href="LPUART_8c.html" title="Implementation of the LPTIMER module. " alt="" coords="443,229,577,256"/><area shape="rect" id="node8" href="USART_8c.html" title="Implementation of the USART module. " alt="" coords="601,229,728,256"/><area shape="rect" id="node9" href="WWDG_8c.html" title="Implementation of the Window Watchdog Timer module. " alt="" coords="752,229,879,256"/><area shape="rect" id="node10" href="main_8h.html" title="Header for main.c module. " alt="" coords="903,229,986,256"/><area shape="rect" id="node11" href="application_8h.html" title="Header file for the application module. " alt="" coords="887,304,1003,331"/><area shape="rect" id="node13" href="main_8c.html" title="main programm body " alt="" coords="1027,304,1110,331"/><area shape="rect" id="node12" href="application_8c.html" title="Implementation of the application code. " alt="" coords="886,379,1003,405"/></map>
</div>
</div>
<p><a href="GPIO_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGPIOInstance__s.html">GPIOInstance_s</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">structure for a GPIO Port-Pin  <a href="structGPIOInstance__s.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a03fa898306cc8d6b228bcd458bbd90f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03fa898306cc8d6b228bcd458bbd90f1"></a>
typedef struct <a class="el" href="structGPIOInstance__s.html">GPIOInstance_s</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a></td></tr>
<tr class="memdesc:a03fa898306cc8d6b228bcd458bbd90f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">structure for a GPIO Port-Pin <br /></td></tr>
<tr class="separator:a03fa898306cc8d6b228bcd458bbd90f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a6affa5269f9de209c1b257a381a074fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6affa5269f9de209c1b257a381a074fb"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="GPIO_8h.html#a6affa5269f9de209c1b257a381a074fb">GPIOMode_t</a> { <b>INPUT</b> = 0, 
<b>OUTPUT</b> = 1, 
<b>ALTERNATIVE_FUNCTION</b> = 2, 
<b>ANALOG</b> = 3
 }</td></tr>
<tr class="memdesc:a6affa5269f9de209c1b257a381a074fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">enum for the Mode of a GPIO Port-Pin <br /></td></tr>
<tr class="separator:a6affa5269f9de209c1b257a381a074fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43529df01e96a121b539143497deeb7b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a43529df01e96a121b539143497deeb7b"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="GPIO_8h.html#a43529df01e96a121b539143497deeb7b">GPIOType_t</a> { <b>PUSH_PULL</b> = 0, 
<b>OPEN_DRAIN</b> = 1
 }</td></tr>
<tr class="memdesc:a43529df01e96a121b539143497deeb7b"><td class="mdescLeft">&#160;</td><td class="mdescRight">enum for the type of a GPIO Port-Pin <br /></td></tr>
<tr class="separator:a43529df01e96a121b539143497deeb7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbe70da23cdb140ac415014d1417e079"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acbe70da23cdb140ac415014d1417e079"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="GPIO_8h.html#acbe70da23cdb140ac415014d1417e079">GPIOSpeed_t</a> { <b>GPIO_SPEED_400kHz</b> = 0, 
<b>GPIO_SPEED_2MHz</b> = 1, 
<b>GPIO_SPEED_10MHz</b> = 2, 
<b>GPIO_SPEED_40MHz</b> = 3
 }</td></tr>
<tr class="memdesc:acbe70da23cdb140ac415014d1417e079"><td class="mdescLeft">&#160;</td><td class="mdescRight">enum for the speed of a GPIO Port-Pin <br /></td></tr>
<tr class="separator:acbe70da23cdb140ac415014d1417e079"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd9a2420c1f8a0bbf1205e758144fc11"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd9a2420c1f8a0bbf1205e758144fc11"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="GPIO_8h.html#acd9a2420c1f8a0bbf1205e758144fc11">GPIOPull_t</a> { <b>NO_PULL</b> = 0, 
<b>PULL_UP</b> = 1, 
<b>PULL_DOWN</b> = 2
 }</td></tr>
<tr class="memdesc:acd9a2420c1f8a0bbf1205e758144fc11"><td class="mdescLeft">&#160;</td><td class="mdescRight">enum for the pull-method of a GPIO Port-Pin <br /></td></tr>
<tr class="separator:acd9a2420c1f8a0bbf1205e758144fc11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70f54b43315695802f19dde322387cee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a70f54b43315695802f19dde322387cee"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a> { <br />
&#160;&#160;<b>ALTERNATIVE_FUNCTION_0</b> = 0, 
<b>ALTERNATIVE_FUNCTION_1</b> = 1, 
<b>ALTERNATIVE_FUNCTION_2</b> = 2, 
<b>ALTERNATIVE_FUNCTION_3</b> = 3, 
<br />
&#160;&#160;<b>ALTERNATIVE_FUNCTION_4</b> = 4, 
<b>ALTERNATIVE_FUNCTION_5</b> = 5, 
<b>ALTERNATIVE_FUNCTION_6</b> = 6, 
<b>ALTERNATIVE_FUNCTION_7</b> = 7
<br />
 }</td></tr>
<tr class="memdesc:a70f54b43315695802f19dde322387cee"><td class="mdescLeft">&#160;</td><td class="mdescRight">enum for the alternative-function of a GPIO Port-Pin <br /></td></tr>
<tr class="separator:a70f54b43315695802f19dde322387cee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a885c93e9837729510e85129e4ac82a86"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="GPIO_8h.html#a885c93e9837729510e85129e4ac82a86">GPIO_Init</a> (<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *GPIOInstance)</td></tr>
<tr class="memdesc:a885c93e9837729510e85129e4ac82a86"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize a GPIO instance.  <a href="#a885c93e9837729510e85129e4ac82a86">More...</a><br /></td></tr>
<tr class="separator:a885c93e9837729510e85129e4ac82a86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55274c05fa9e816b7d0567799f2adda3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="GPIO_8h.html#a55274c05fa9e816b7d0567799f2adda3">GPIO_DeInit</a> (<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *GPIOInstance)</td></tr>
<tr class="memdesc:a55274c05fa9e816b7d0567799f2adda3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable the GPIO clock.  <a href="#a55274c05fa9e816b7d0567799f2adda3">More...</a><br /></td></tr>
<tr class="separator:a55274c05fa9e816b7d0567799f2adda3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a183d1dc00b66e06267fc01ea2d9395e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="GPIO_8h.html#a183d1dc00b66e06267fc01ea2d9395e4">SetDO</a> (<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *GPIOInstance, uint8_t bitVal)</td></tr>
<tr class="memdesc:a183d1dc00b66e06267fc01ea2d9395e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the output of a GPIO pin.  <a href="#a183d1dc00b66e06267fc01ea2d9395e4">More...</a><br /></td></tr>
<tr class="separator:a183d1dc00b66e06267fc01ea2d9395e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86c036aa80b88e113e5783aa9f06a2b3"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="GPIO_8h.html#a86c036aa80b88e113e5783aa9f06a2b3">GetDI</a> (<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *GPIOInstance)</td></tr>
<tr class="memdesc:a86c036aa80b88e113e5783aa9f06a2b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the input value of a GPIO pin.  <a href="#a86c036aa80b88e113e5783aa9f06a2b3">More...</a><br /></td></tr>
<tr class="separator:a86c036aa80b88e113e5783aa9f06a2b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a325a2efca19e3b77bd88cb7d6f1891be"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a325a2efca19e3b77bd88cb7d6f1891be"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA0</b></td></tr>
<tr class="separator:a325a2efca19e3b77bd88cb7d6f1891be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0af9f63fd516206bc9c111c77cfeff8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0af9f63fd516206bc9c111c77cfeff8a"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA1</b></td></tr>
<tr class="separator:a0af9f63fd516206bc9c111c77cfeff8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a127e5b731cabe06270969257329ddbf2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a127e5b731cabe06270969257329ddbf2"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA2</b></td></tr>
<tr class="separator:a127e5b731cabe06270969257329ddbf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ce20c6bd67c7ea79ff0d5a3d1f62257"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7ce20c6bd67c7ea79ff0d5a3d1f62257"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA3</b></td></tr>
<tr class="separator:a7ce20c6bd67c7ea79ff0d5a3d1f62257"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec4f22408b689321be8a39936043d4ae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec4f22408b689321be8a39936043d4ae"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA4</b></td></tr>
<tr class="separator:aec4f22408b689321be8a39936043d4ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0774f5b0a352da541fae2422d934beba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0774f5b0a352da541fae2422d934beba"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA5</b></td></tr>
<tr class="separator:a0774f5b0a352da541fae2422d934beba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26f9bb6ffaa5bc301f4cad0381822fcd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a26f9bb6ffaa5bc301f4cad0381822fcd"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA6</b></td></tr>
<tr class="separator:a26f9bb6ffaa5bc301f4cad0381822fcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e450a16e7abb8eb9e671728f97be5b9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e450a16e7abb8eb9e671728f97be5b9"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA7</b></td></tr>
<tr class="separator:a9e450a16e7abb8eb9e671728f97be5b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa18bb55c744ffdd3b37e6a6e0d32f155"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa18bb55c744ffdd3b37e6a6e0d32f155"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA8</b></td></tr>
<tr class="separator:aa18bb55c744ffdd3b37e6a6e0d32f155"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb00bd9c52f22ad61214a9186b6bed75"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb00bd9c52f22ad61214a9186b6bed75"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA9</b></td></tr>
<tr class="separator:abb00bd9c52f22ad61214a9186b6bed75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a775f5a87ed2d0fe3219d5bab91abc8a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a775f5a87ed2d0fe3219d5bab91abc8a0"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA10</b></td></tr>
<tr class="separator:a775f5a87ed2d0fe3219d5bab91abc8a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6ab84f88f26c64cb9109fbaf6173d1b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa6ab84f88f26c64cb9109fbaf6173d1b"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA11</b></td></tr>
<tr class="separator:aa6ab84f88f26c64cb9109fbaf6173d1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8abfae746e3354f874721653e7b2eb74"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8abfae746e3354f874721653e7b2eb74"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA12</b></td></tr>
<tr class="separator:a8abfae746e3354f874721653e7b2eb74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab376863e0a26a62a1a74b3efc9d83e9a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab376863e0a26a62a1a74b3efc9d83e9a"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA13</b></td></tr>
<tr class="separator:ab376863e0a26a62a1a74b3efc9d83e9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae23277c4cc5a0a57280f0cb0291bc86b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae23277c4cc5a0a57280f0cb0291bc86b"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA14</b></td></tr>
<tr class="separator:ae23277c4cc5a0a57280f0cb0291bc86b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af70761007c8c3908a3579220209836a4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af70761007c8c3908a3579220209836a4"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PA15</b></td></tr>
<tr class="separator:af70761007c8c3908a3579220209836a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdf9414c856d091251751931c1e309a6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afdf9414c856d091251751931c1e309a6"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PB0</b></td></tr>
<tr class="separator:afdf9414c856d091251751931c1e309a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a310340bbfdc13b6938cb0d1bc4d8332b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a310340bbfdc13b6938cb0d1bc4d8332b"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PB1</b></td></tr>
<tr class="separator:a310340bbfdc13b6938cb0d1bc4d8332b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad627d774de7864ccdd353989241f6fa9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad627d774de7864ccdd353989241f6fa9"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PB3</b></td></tr>
<tr class="separator:ad627d774de7864ccdd353989241f6fa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8b07ad3aba6dfc1fe0a2c0f093893f4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af8b07ad3aba6dfc1fe0a2c0f093893f4"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PB4</b></td></tr>
<tr class="separator:af8b07ad3aba6dfc1fe0a2c0f093893f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c89239fd051bec61acbb6637c2a8642"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c89239fd051bec61acbb6637c2a8642"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PB5</b></td></tr>
<tr class="separator:a6c89239fd051bec61acbb6637c2a8642"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae11ca85479199a35a87d4ac721ef735f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae11ca85479199a35a87d4ac721ef735f"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PB6</b></td></tr>
<tr class="separator:ae11ca85479199a35a87d4ac721ef735f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e14b71987bbae1fe1b15c60fddf3edc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6e14b71987bbae1fe1b15c60fddf3edc"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PB7</b></td></tr>
<tr class="separator:a6e14b71987bbae1fe1b15c60fddf3edc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5c6832994c23dd63b10ae5b1229a28a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af5c6832994c23dd63b10ae5b1229a28a"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PB9</b></td></tr>
<tr class="separator:af5c6832994c23dd63b10ae5b1229a28a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4ddc7b2c03a73b537d8de996c1971a3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae4ddc7b2c03a73b537d8de996c1971a3"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PC14</b></td></tr>
<tr class="separator:ae4ddc7b2c03a73b537d8de996c1971a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affe39cce297b078856b67cd2084090fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="affe39cce297b078856b67cd2084090fd"></a>
<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PC15</b></td></tr>
<tr class="separator:affe39cce297b078856b67cd2084090fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Header file for the <a class="el" href="GPIO_8c.html" title="Implementation of the GPIO module. ">GPIO.c</a> module. </p>
<dl class="section author"><dt>Author</dt><dd>Andreas Hirtenlehner, Gerald Ebmer, Lukas Pechhacker </dd></dl>
<dl class="section date"><dt>Date</dt><dd>29.08.2016 </dd></dl>
<dl class="section version"><dt>Version</dt><dd>1.0 </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a86c036aa80b88e113e5783aa9f06a2b3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t GetDI </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *&#160;</td>
          <td class="paramname"><em>GPIOInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the input value of a GPIO pin. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">GPIOInstance</td><td>Instance of the GPIO Pin </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Low </td></tr>
    <tr><td class="paramname">1</td><td>High </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a55274c05fa9e816b7d0567799f2adda3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GPIO_DeInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *&#160;</td>
          <td class="paramname"><em>GPIOInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable the GPIO clock. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">GPIOInstance</td><td>Instance of the GPIO Pin </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a885c93e9837729510e85129e4ac82a86"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GPIO_Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *&#160;</td>
          <td class="paramname"><em>GPIOInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize a GPIO instance. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">GPIOInstance</td><td>Instance of the GPIO Pin </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a183d1dc00b66e06267fc01ea2d9395e4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetDO </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *&#160;</td>
          <td class="paramname"><em>GPIOInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>bitVal</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the output of a GPIO pin. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">GPIOInstance</td><td>Instance of the GPIO Pin </td></tr>
    <tr><td class="paramname">bitVal</td><td>Value 0...Low &gt;0...High </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_19ea4dbfe8f0e4681f60b9b97f7b5d11.html">API</a></li><li class="navelem"><a class="el" href="dir_32e58a8feb8ca9706cceffd71c9f448f.html">inc</a></li><li class="navelem"><a class="el" href="GPIO_8h.html">GPIO.h</a></li>
    <li class="footer">Generated on Mon Aug 29 2016 12:25:43 for Fittrack Weight Detection Module by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.8 </li>
  </ul>
</div>
</body>
</html>
